
Figure - Bug #113748
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现CRASH: com.thundercomm.screensaver
2022-11-07 14:37 - CD Test赵飞

Status: CLOSED Start date: 2022-11-07

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-13

Test Type: Monkey Test Root cause: 编码问题

Description

执行命令：

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 1080000 2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// CRASH: com.thundercomm.screensaver (pid 7889)

// Short Msg: java.lang.IllegalArgumentException

// Long Msg: java.lang.IllegalArgumentException: Receiver not registered:

com.thundercomm.saverclock.service.ClockScreensaver$mAlarmChangedReceiver$1@cdcbaa4

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1290:user/test-keys

// Build Changelist: 1290

// Build Time: 1667497248000

// java.lang.IllegalArgumentException: Receiver not registered:

com.thundercomm.saverclock.service.ClockScreensaver$mAlarmChangedReceiver$1@cdcbaa4

//     at android.app.LoadedApk.forgetReceiverDispatcher(LoadedApk.java:1555)

//     at android.app.ContextImpl.unregisterReceiver(ContextImpl.java:1789)

//     at android.content.ContextWrapper.unregisterReceiver(ContextWrapper.java:769)

//     at com.thundercomm.saverclock.service.ClockScreensaver.onDetachedFromWindow(ClockScreensaver.kt:167)

//     at com.android.internal.policy.DecorView.onDetachedFromWindow(DecorView.java:1902)

//     at android.view.View.dispatchDetachedFromWindow(View.java:20812)

//     at android.view.ViewGroup.dispatchDetachedFromWindow(ViewGroup.java:3956)

//     at android.view.ViewRootImpl.dispatchDetachedFromWindow(ViewRootImpl.java:4998)

//     at android.view.ViewRootImpl.doDie(ViewRootImpl.java:8169)

//     at android.view.ViewRootImpl.die(ViewRootImpl.java:8146)

//     at android.view.WindowManagerGlobal.removeViewLocked(WindowManagerGlobal.java:499)

//     at android.view.WindowManagerGlobal.removeView(WindowManagerGlobal.java:440)

//     at android.view.WindowManagerImpl.removeViewImmediate(WindowManagerImpl.java:164)

//     at android.app.ActivityThread.handleDestroyActivity(ActivityThread.java:5440)

//     at android.app.servertransaction.DestroyActivityItem.execute(DestroyActivityItem.java:47)

//     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)
//     at android.app.servertransaction.TransactionExecutor.executeLifecycleState(TransactionExecutor.java:176)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:97)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

日志见Bug #113470 附件

History

#1 - 2022-11-07 17:01 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2022-11-16 19:50 - CDTS-TEST 周婷

- Due date deleted (2022-11-14)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-11-22 10:50 - CD APP-黄棚

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD APP-黄棚

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-13

- Root cause set to 编码问题

■ Current conclusion

屏保功能开发阶段的问题

■ My analysis

功能开发已修复，预览功能逻辑优化

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/161566

#4 - 2022-11-22 10:52 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to CD Test赵飞

#5 - 2022-11-24 20:41 - CD Test赵飞

- % Done changed from 100 to 70

11月23号版本未复现此问题
Monkey问题，继续跟踪2个版本

#6 - 2022-11-25 11:31 - CD Test赵飞

11月24号版本未复现此问题

Monkey问题，继续跟踪1个版本

#7 - 2022-11-28 10:38 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

11月25号版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#8 - 2022-11-28 10:38 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100
